<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all file members with links to the files they belong to:</div>

<h3><a id="index_b"></a>- b -</h3><ul>
<li>byte
: <a class="el" href="http__status_8h.html#a7528222f65ad403ee1a88ff2b56f9fb7">http_status.h</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>CATCH_CONFIG_MAIN
: <a class="el" href="chat_2test_8cpp.html#a656eb5868e824d59f489f910db438420">test.cpp</a>
, <a class="el" href="test__chat_8cpp.html#a656eb5868e824d59f489f910db438420">test_chat.cpp</a>
, <a class="el" href="test__game__player_8cpp.html#a656eb5868e824d59f489f910db438420">test_game_player.cpp</a>
, <a class="el" href="test__network__service_8cpp.html#a656eb5868e824d59f489f910db438420">test_network_service.cpp</a>
</li>
<li>closeWithError()
: <a class="el" href="moxit__server_8cpp.html#a56c9ab3370484f10f4a9d33e12597f84">moxit_server.cpp</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>DECKSIZE
: <a class="el" href="game_8hpp.html#a660b952bdfedb21a69ac89abff2ed320">game.hpp</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>GamePhase
: <a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">game.hpp</a>
</li>
<li>gamePhaseToStr()
: <a class="el" href="game_8cpp.html#a97cf14a397ed31f6f3aae282542c04c0">game.cpp</a>
, <a class="el" href="game_8hpp.html#a97cf14a397ed31f6f3aae282542c04c0">game.hpp</a>
</li>
<li>globalGameState
: <a class="el" href="globals_8h.html#a969a9eb92a50e671a820bfc539958443">globals.h</a>
, <a class="el" href="globals_8cpp.html#a969a9eb92a50e671a820bfc539958443">globals.cpp</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>HandlerType
: <a class="el" href="handler_8h.html#a90dff9b74e811490ae5849a46c222587">handler.h</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>INITIALDEAL
: <a class="el" href="game_8hpp.html#abe7fa109b307717bbb95f3099e018dd7">game.hpp</a>
</li>
</ul>


<h3><a id="index_j"></a>- j -</h3><ul>
<li>json
: <a class="el" href="test__network__service_8cpp.html#ab701e3ac61a85b337ec5c1abaad6742d">test_network_service.cpp</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>loadJson()
: <a class="el" href="game_2test_8cpp.html#af558f306b184378d6418c26915bfb813">test.cpp</a>
, <a class="el" href="test__game__player_8cpp.html#af558f306b184378d6418c26915bfb813">test_game_player.cpp</a>
</li>
<li>log()
: <a class="el" href="moxit__server_8cpp.html#a71aac57aa11492bce472c29939e5a716">moxit_server.cpp</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>main()
: <a class="el" href="backend_2src_2main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main.cpp</a>
</li>
<li>MAX_BUFFER_SIZE
: <a class="el" href="http__status_8h.html#aee6a7d04066e6d670e1acb32f71629a2">http_status.h</a>
</li>
<li>MAX_HANDSIZE
: <a class="el" href="game_8hpp.html#ab0c0a3c6a75b9ecaef750e8568b8154a">game.hpp</a>
</li>
<li>MAXPOINTS
: <a class="el" href="game_8hpp.html#a1409378747976a5bb615f2fb82bd5f2a">game.hpp</a>
</li>
<li>Method
: <a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">request_header.h</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>operator&lt;&lt;()
: <a class="el" href="game_8hpp.html#a0013c8a33b5b108c8b814c503ff23cd4">game.hpp</a>
, <a class="el" href="player_8hpp.html#a4eb9de61f60782def9b46a10806bc2b8">player.hpp</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>private
: <a class="el" href="game_2test_8cpp.html#a6a1d6e1a12975a4e9a0b5b952e79eaad">test.cpp</a>
, <a class="el" href="test__game__player_8cpp.html#a6a1d6e1a12975a4e9a0b5b952e79eaad">test_game_player.cpp</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>REQUEST_STATUS
: <a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21a">http_status.h</a>
</li>
<li>responseWriteCallback()
: <a class="el" href="NetworkService_8hpp.html#aca0f70d536f7bbd7a035ba91a150684a">NetworkService.hpp</a>
, <a class="el" href="NetworkService_8cpp.html#aca0f70d536f7bbd7a035ba91a150684a">NetworkService.cpp</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>strToGamePhase()
: <a class="el" href="game_8cpp.html#adb3ca93305c734a8543943f6f4b9791e">game.cpp</a>
, <a class="el" href="game_8hpp.html#a831a32b1db23c94285b28418d2e33fb2">game.hpp</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>TEST_CASE()
: <a class="el" href="chat_2test_8cpp.html#a24c797cef647b06d905b704aca29b8d1">test.cpp</a>
, <a class="el" href="test__chat_8cpp.html#a24c797cef647b06d905b704aca29b8d1">test_chat.cpp</a>
, <a class="el" href="test__game__player_8cpp.html#a6bc5dd28f6b9eb547c474378344a28ad">test_game_player.cpp</a>
, <a class="el" href="test__network__service_8cpp.html#a2b204af8750e89a86d86035d06f4765f">test_network_service.cpp</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
